Summary:	Utilities belonging to the Reiser filesystem
Summary(pl.UTF-8):	Narzędzia dla systemu plików Reiser
Summary(pt_BR.UTF-8):	Este pacote contém os utilitários para manipulação do sistema de arquivos ReiserFS
Summary(uk.UTF-8):	Утиліти для роботы з файловою системою ReiserFS
Summary(ru.UTF-8):	Утилиты для работы с файловой системой ReiserFS
Name:		reiserfsprogs
Version:	3.6.27
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
#Source0:	http://www.kernel.org/pub/linux/utils/fs/reiserfs/%{name}-%{version}.tar.gz
Source0:	https://www.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	90c139542725efc6da3a6b1709695395
Patch0:		%{name}-am.patch
URL:		https://reiser4.wiki.kernel.org/index.php/Reiserfsprogs
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	libcom_err-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	reiserfs-utils
Conflicts:	progsreiserfs < 0.3.1-1.rc8.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month. Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%description -l pl.UTF-8
Pakiet zawiera programy do tworzenia (mkreiserfs), sprawdzania i
naprawiania błędów (reiserfsck) oraz zmiany wielkości
(resize_reiserfs) systemu plików ReiserFS.

%description -l pt_BR.UTF-8
Este pacote contém os utilitários para manipulação do sistema de
arquivos ReiserFS.

%description -l ru.UTF-8
Набор утилит для работы с файловой системой ReiserFS.

%description -l uk.UTF-8
Набір утиліт для роботи з файловою системою ReiserFS.

%package libs
Summary:	ReiserFS Core library
Summary(pl.UTF-8):	Biblioteka ReiserFS Core
Group:		Libraries

%description libs
ReiserFS Core library.

%description libs -l pl.UTF-8
Biblioteka ReiserFS Core.

%package devel
Summary:	Header files for ReiserFS Core library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ReiserFS Core
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	libcom_err-devel

%description devel
Header files for ReiserFS Core library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ReiserFS Core.

%package static
Summary:	Static ReiserFS Core library
Summary(pl.UTF-8):	Biblioteka statyczna ReiserFS Core
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static ReiserFS Core library.

%description static -l pl.UTF-8
Biblioteka statyczna ReiserFS Core.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libreiserfscore.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README
%attr(755,root,root) %{_sbindir}/debugfs.reiserfs
%attr(755,root,root) %{_sbindir}/debugreiserfs
%attr(755,root,root) %{_sbindir}/fsck.reiserfs
%attr(755,root,root) %{_sbindir}/mkfs.reiserfs
%attr(755,root,root) %{_sbindir}/mkreiserfs
%attr(755,root,root) %{_sbindir}/reiserfsck
%attr(755,root,root) %{_sbindir}/reiserfstune
%attr(755,root,root) %{_sbindir}/resize_reiserfs
%attr(755,root,root) %{_sbindir}/tunefs.reiserfs
%{_mandir}/man8/debugfs.reiserfs.8*
%{_mandir}/man8/debugreiserfs.8*
%{_mandir}/man8/fsck.reiserfs.8*
%{_mandir}/man8/mkfs.reiserfs.8*
%{_mandir}/man8/mkreiserfs.8*
%{_mandir}/man8/reiserfsck.8*
%{_mandir}/man8/reiserfstune.8*
%{_mandir}/man8/resize_reiserfs.8*
%{_mandir}/man8/tunefs.reiserfs.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libreiserfscore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libreiserfscore.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libreiserfscore.so
%{_includedir}/reiserfs
%{_pkgconfigdir}/reiserfscore.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libreiserfscore.a
%changelog
* Wed Jul 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/reiserfsprogs.git;a=log;h=master

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> a751b20
- missing epoch in internal dependencies

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 73aa381
- updated to 3.6.27
- shared library introduced

* Wed Oct 01 2014 Jakub Bogusz <qboosh@pld-linux.org> e92114c
- cleaned up obsolete build hacks
- package remaining files
- added some URL

* Sat Sep 20 2014 Marcin Krol <hawk@tld-linux.org> 739b050
- updated to 3.6.24

* Mon Mar 25 2013 Jakub Bogusz <qboosh@pld-linux.org> d88f338
- updated to 3.6.22
- added am patch (fixes build with automake 1.13)

* Sat Jan 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 7f823ce
- outdated

* Sat Jan 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c9db97
- bigendian patch obsolete

* Sat Jan 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6aa8827
- up to 3.6.21

* Sat Nov 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 81e8274
- BR sed 4

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8604c2e
- rel 3; hack

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1627619
- release 2

* Sat Jun 02 2007 areq <areq@pld-linux.org> 693dce7
- %{__make} -j1 install

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2966ce0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9014767
- converted to UTF-8

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 6f0d052
- Conflicts: progsreiserfs < 0.3.1-1.rc.8.5 (fsck,mkfs,resizefs,tunefs moved here)

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 9ea5eb8
- avoid <asm/unaligned.h> on alpha too

* Wed Nov 15 2006 sparky <sparky@pld-linux.org> 49fb908
- added bigendian-fix patch, now builds on ppc

* Wed Nov 15 2006 sparky <sparky@pld-linux.org> 8d91a50
- fix compilation on bigendians

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 56fc134
- use own {get,put}_unaligned defines instead of <asm/unaligned.h> on ppc/sparc

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 3f016a9
- noticed conflict with progsreiserfs (I'd remove these utils from progsreiserfs)

